---
title: Export topics
slug: topic-api/export-topics
docTags: 
createdAt: 2024-06-10T16:49:07.009Z
---

{
  "id": "Em4r8e0hTlQ5WoErvbrFE",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/exports",
    "servers": [
      {
        "url": "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/exports"
      }
    ],
    "name": "Export topics",
    "description": "Start an export topics process.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "topic-board-id",
          "type": "string",
          "example": "e18a2d10-1595-4e52-a941-22d43bf8d7ad",
          "description": "Id of the topic board"
        }
      ],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "format",
          "type": "string",
          "description": "<p>Format of export, default is BCF 3.0, valid values are \"bcf\", \"excel\" or \"pdf\"</p>"
        },
        {
          "kind": "optional",
          "name": "$filter",
          "type": "string",
          "description": "Filter topics with OData"
        },
        {
          "kind": "optional",
          "name": "$orderby",
          "type": "string",
          "description": "Sort topics with OData"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Bearer",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "export-status",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "description": "Id of the export process",
                "example": "c9549c4c4e214538a2b327815cfe99f3"
              },
              {
                "name": "createdAt",
                "kind": "optional",
                "type": "string",
                "description": "Timestamp of when export process was initiated",
                "example": "2024-05-30T15:08:00Z"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<processing | success | failed>",
                "description": "Current export processing status, valid values are \"processing\", \"success\" or \"failed\"",
                "example": "processing"
              }
            ],
            "modelRef": "#/components/schemas/export-status",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "dJVvUiM3ajsGEzX3Y7oHq",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/exports \\\n     --header 'accept: application/json'"
        },
        {
          "id": "2BgiS2OUOdXUHlGRwK3SV",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/exports\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "PfiWQ4OxInkmGKe72y-1R",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/exports\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "fEbZh7uh3MDbQ8yEJXWiO",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/exports\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "dJVvUiM3ajsGEzX3Y7oHq"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"id\": \"c9549c4c4e214538a2b327815cfe99f3\",\n  \"createdAt\": \"2024-05-30T15:08:00Z\",\n  \"status\": \"processing\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}